/*! \file imgu.h
 *  \brief Interfaces publicos de la libreria de utilidades.
 *         Libreria de 3DS.
 *
 *  \version 0.9
 *
 *  3DS Utilities driver
 *
 *   Pituka - 3DS Port
 *  (c) Copyright 2009 David Colmenero (aka D_Skywalk)
 */

#ifndef u_imgu_h
#define u_imgu_h

/** \brief Estructura de Imagenes
 *  Esta es una estructura general que contiene las imagenes del emulador y usarlas para el render en Wii.
 * \note Solo soporta PNG.
 */
typedef struct {
    u8 * buffer; /**< El buffer que contiene la Textura usable por Dingoo */

    unsigned Width; /**< ancho de la imagen */
    unsigned Height; /**< alto de la imagen */
} t_img;

void clearTopScreen(void);
void clearBottomScreen(void);

void InitImg(t_img * img);
void FreeImg(t_img * img);

bool LoadIMG(t_img * p_oImg, const u8 * png_buffer, const u32 png_size);
void DrawIMG(gfxScreen_t screen, t_img * img);
void DrawGFX(gfxScreen_t screen, t_img * img, Goo_Rect *org, Goo_Rect *dest);
void FlushGFX(void);
void DrawRect(gfxScreen_t screen, t_img * img, Goo_Rect *org, Goo_Rect *dest);

#endif
