/*! \file interface.h
 *  \brief Interfaces publicos de la libreria de la Gui.
 *         Libreria de 3DS.
 *
 *  \version 0.9
 *
 *  3DS Interface driver
 *
 *   Pituka - 3DS Port
 *  (c) Copyright 2016 David Colmenero (aka D_Skywalk)
 */

#ifndef gui_h
#define gui_h

#define BTN_DISABLE 0
#define BTN_ENABLE  1
#define BTN_PUSHED  2
#define BTN_CLEAN   4

#define BTN_NEW   0
#define BTN_SAVE  1
#define BTN_LOAD  2
#define BTN_COLOR 3
#define BTN_LANG  4
#define BTN_BACK  5
#define BTN_OK    6
#define MAX_BTN   7

typedef struct {
    int x, y;
    int x2, y2;
    int status;
} Button;


void ShowStr(char * string);
void ShowLogro(int value);
void ShowQR (void);
void ShowOptions(void);
void ShowSave(void);
void ShowButtons(void);

#endif
