/*! \file interface.c
 *  \brief Gui Driver.
 *         3DS Library.
 *
 *  \version 0.9
 *
 *  3DS Interface/Gui driver
 *
 *   Pituka - 3DS Port
 *  (c) Copyright 2016 David Colmenero (aka D_Skywalk)
 */

#include <3ds.h>
#include "../global.h"

#include "imgu.h"
#include "interface.h"

#include "splash_png.h"
#include "info_png.h"
#include "numbers_png.h"
t_img splash, downscreen, numbers;

bool InitGFX(void) {
    InitImg(&numbers);

    if (!LoadIMG(&numbers, numbers_png, numbers_png_size))
        return false;

    return true;
}

void FreeGFX(void) {
    FreeImg(&numbers);
}

void ShowSplash(void) {
    InitImg(&splash);

    if (!LoadIMG(&splash, splash_png, splash_png_size))
        return;

    DrawIMG(GFX_TOP, &splash);

    svcSleepThread(3000000000LL); //3 secs

    FreeImg(&splash);

    clearTopScreen();
}

void ShowInfo(void) {
    InitImg(&downscreen);

    if (!LoadIMG(&downscreen, info_png, info_png_size))
        return;

    DrawIMG(GFX_BOTTOM, &downscreen);
    FreeImg(&downscreen);

}

#define NUMBER_W 14
#define SCORE_X 213
#define SCORE_Y 141
void ShowNumbers(char * string) {
    for (int len = 0; string[len] != '\0'; len++) {
        int value = ((int) string[len]) - '0';

        //printf("%c: %i (%i)\n", string[len], (int) string[len], value);

        Goo_Rect org = {NUMBER_W * value, 0, 16, NUMBER_W};
        Goo_Rect dest = {SCORE_X + NUMBER_W * len, SCORE_Y, 0, 0};

        DrawRect(GFX_BOTTOM, &numbers, &org, &dest);

    }
}

//void ShowEmuCommon (void) {}
